Bug 820936 - Maven: Missing transitive dependencies (ER5)
Maven: Missing transitive dependencies (ER5)
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Maven (Show other bugs)
2.0.0.ER5
Unspecified Unspecified
medium Severity medium
: ---
: 2.0.0.ER7
Assigned To: Marek Novotny
Karel Piwko
:
Depends On:
Blocks: 826538
  Show dependency treegraph
 
Reported: 2012-05-11 07:24 EDT by Karel Piwko
Modified: 2012-06-22 03:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 826538 (view as bug list)
Environment:
Last Closed: 2012-06-22 03:32:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Piwko 2012-05-11 07:24:09 EDT
Pom.xml files present in WFK Maven repository have following dependencies defined, which are not present in neither EAP Maven repository, WFK Maven repository nor Maven Central.


* com.google.inject.extensions:guice-assistedinject:jar:3.0-redhat-1
* com.google.inject.extensions:guice-multibindings:jar:3.0-redhat-1
* com.google.inject:guice:jar:3.0-redhat-1
* javax.inject:javax.inject:jar:1.0-PFD-1
* javax.xml.bind:jaxb-api:jar:2.2.4-redhat-1
* org.jboss.el:jboss-el:jar:1.0_02.CR6
* org.jboss.kernel:jboss-dependency:jar:2.2.0.SP2
* org.jboss.kernel:jboss-kernel:jar:2.2.0.SP2
* xerces:xercesImpl:jar:2.9.1-patch-01
* xmlunit:xmlunit:jar:1.3_redhat_1
Comment 1 Marek Novotny 2012-05-24 08:36:59 EDT
Could we use for the following JBoss Nexus repository?
* org.jboss.el:jboss-el:jar:1.0_02.CR6
* org.jboss.kernel:jboss-dependency:jar:2.2.0.SP2
* org.jboss.kernel:jboss-kernel:jar:2.2.0.SP2


These I can add in WFK2 Maven repository (not sure if they can change to upstream versions):
* com.google.inject.extensions:guice-assistedinject:jar:3.0-redhat-1
* com.google.inject.extensions:guice-multibindings:jar:3.0-redhat-1
* com.google.inject:guice:jar:3.0-redhat-1
* xmlunit:xmlunit:jar:1.3_redhat_1
* javax.xml.bind:jaxb-api:jar:2.2.4-redhat-1
* xerces:xercesImpl:jar:2.9.1-patch-01

javax.inject:javax.inject:jar:1.0-PFD-1 was changed into javax.inject:javax.inject:jar:1 from Maven Central
Comment 2 Karel Piwko 2012-05-30 04:03:08 EDT
I think we should switch to community versions here:

* com.google.inject.extensions:guice-assistedinject:jar:3.0-redhat-1
* com.google.inject.extensions:guice-multibindings:jar:3.0-redhat-1
* com.google.inject:guice:jar:3.0-redhat-1

Not sure about using those from JBoss Nexus, you basically can force a Maven repository to deliver only 3 artifacts. I'm convinced that org.jboss.kernel deps are coming for snowdrop which have a dependency on JBoss AS 6 and we should be able to remove them completely.

* org.jboss.kernel:jboss-dependency:jar:2.2.0.SP2
* org.jboss.kernel:jboss-kernel:jar:2.2.0.SP2

As for, 

* org.jboss.el:jboss-el:jar:1.0_02.CR6

I don't know what is the proper solution here, but distribution in WFK repository seems viable to me.


For these, I'd prefer switch to community versions, I have to figure out where they are coming from.

* xmlunit:xmlunit:jar:1.3_redhat_1
* javax.xml.bind:jaxb-api:jar:2.2.4-redhat-1
* xerces:xercesImpl:jar:2.9.1-patch-01
Comment 3 Marek Novotny 2012-05-30 06:01:15 EDT
<snip>
Not sure about using those from JBoss Nexus, you basically can force a Maven repository to deliver only 3 artifacts. I'm convinced that org.jboss.kernel deps are coming for snowdrop which have a dependency on JBoss AS 6 and we should be able to remove them completely.

* org.jboss.kernel:jboss-dependency:jar:2.2.0.SP2
* org.jboss.kernel:jboss-kernel:jar:2.2.0.SP2
</snip>

That are coming from snowdrop-deployer-vfs2, this module is for earliear version of JBoss AS than 7. But we need to check with Marius and Burr, what is the strategical view on this. I am a little confused with support Matrix for snowdrop in general.
Comment 4 Karel Piwko 2012-05-30 09:03:22 EDT
<snip>
For these, I'd prefer switch to community versions, I have to figure out where they are coming from.

* javax.xml.bind:jaxb-api:jar:2.2.4-redhat-1
</snip

This was fixed in ER6.
Comment 5 Marek Novotny 2012-05-30 11:35:57 EDT
added all missing deps into WFK maven repository zip file: 
* org.jboss.kernel:jboss-dependency:jar:2.2.0.SP2
* org.jboss.kernel:jboss-kernel:jar:2.2.0.SP2
* xmlunit:xmlunit:jar:1.3_redhat_1
* xerces:xercesImpl:jar:2.9.1-patch-01
* com.google.inject.extensions:guice-assistedinject:jar:3.0-redhat-1
* com.google.inject.extensions:guice-multibindings:jar:3.0-redhat-1
* com.google.inject:guice:jar:3.0-redhat-1
Comment 6 Karel Piwko 2012-06-12 10:55:56 EDT
Verified in ER8, these dependencies are no longer missing.

Note You need to log in before you can comment on or make changes to this bug.